Bug 735735 - [RFE] Need proper garbage collection of invalid volumes / images
Summary: [RFE] Need proper garbage collection of invalid volumes / images
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6.0
Assignee: Adam Litke
QA Contact:
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 08:57 UTC by Ayal Baron
Modified: 2016-02-10 19:45 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 09:38:00 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Description Ayal Baron 2011-09-05 08:57:57 UTC
Description of problem:
Today image delete operation is an async task.
If this task fails then there will be a recovery step which would try again to delete.  If the second delete fails as well then garbage is left on the domain

On block domains, delete might include a "zeroing" step for the data in case the image contains sensitive information in which case the delete operation might take a very long time (zeroing dozens of GBs or more).

To address these issues, the delete task tags the volumes to be deleted today.
What is missing is:
1. removing the "recovery step" above
2. upon startup, SPM should search the domain for volumes to delete and start deleting them.  Need to consider if deletion should be done in the context of a regular task to provide visibility to management.
In any event, need to make sure that management can list the existing volumes today including volumes that are tagged for delete so that user could decide to simply delete an unclaimed volume even without zeroing data (need to make sure to warn the user in such a case, but that is GUI logic).

Comment 1 Eduardo Warszawski 2012-04-04 14:02:57 UTC
discussed with ayal, postponing.

Comment 2 Itamar Heim 2013-03-12 09:38:00 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.